LINUX.ORG.RU

Установка актуального драйвера Nvidia

 , , ,


0

1

Добрый вечер. Решил я поставить на свой Debian 9 Steam, не для себя, но это и не важно. Всё установилось, запускается, но в играх типа CS:GO очень плохая производительность, проверил актуальность пакета Nvidia (у меня 1050ti) и оказалось, что система использует дефолтный драйвер, вот вывод команды nvidia-detect: [

Checking card:  NVIDIA Corporation GP107 [GeForce GTX 1050 Ti] (rev a1)
Your card is supported by the default drivers.
It is recommended to install the
    nvidia-driver
package. ] При попытке установить nvidia-driver, вывод говорит, что всё и так стоит актуальной версии. Никак не могу разобраться с драйверами на Linux, много ньюансов, облазил все актуальные треды, но решения проблемы не нашёл. Спасибо.


Ответ на: комментарий от xDShot

name of display: :1 display: :1 screen: 0 direct rendering: Yes server glx vendor string: NVIDIA Corporation server glx version string: 1.4 server glx extensions:

client glx vendor string: NVIDIA Corporation client glx version string: 1.4

OpenGL vendor string: NVIDIA Corporation OpenGL renderer string: GeForce GTX 1050 Ti/PCIe/SSE2 OpenGL core profile version string: 4.5.0 NVIDIA 390.116 OpenGL core profile shading language version string: 4.50 NVIDIA OpenGL core profile context flags: (none) OpenGL core profile profile mask: core profile

OpenGL version string: 4.6.0 NVIDIA 390.116 OpenGL shading language version string: 4.60 NVIDIA OpenGL context flags: (none) OpenGL profile mask: (none)

OpenGL ES profile version string: OpenGL ES 3.2 NVIDIA 390.116 OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.20

n30 ()
Ответ на: комментарий от xDShot

Пытался установить дрова на Vulkan API по инструкции с вики, не получается удовлетворить зависимости из-за пакета xserver-xorg-video-nvidia, всё время выдаёт ошибку обработки пакета.

n30 ()
Ответ на: комментарий от n30
dpkg: ошибка при обработке пакета xserver-xorg-video-nvidia (--remove):
 подпроцесс установлен сценарий post-removal возвратил код ошибки 20
При обработке следующих пакетов произошли ошибки:
 xserver-xorg-video-nvidia
E: Sub-process /usr/bin/dpkg returned an error code (1)
n30 ()

It is recommended to install the nvidia-driver

nvidia-detect такое выводит и при установленном драйвере. Судя по выхлопу glxinfo уже стоит nvidia-driver v390. Попробуй поставить посвежее из backports. Там v418

undef ()